package com.yeejoin.amos.fas.business.param;

import cn.afterturn.easypoi.excel.annotation.Excel;

import java.util.Date;

public class FireEquipmentPointParam {

    private Long id;

    @Excel(name = "名称", orderNum = "2", width = 50)
    private String name;

    @Excel(name = "编号", orderNum = "1", width = 12)
    private String code;

    @Excel(name = "消防装备编号", orderNum = "8", width = 15)
    private String fireEquipmentCode;

    @Excel(name = "绑定消防装备名称", orderNum = "7", width = 50)
    private String fireEquipmentName;

    private Long fireEquipmentId;

    @Excel(name = "数据类型", replace = {"模拟量_ANALOGUE", "开关量_SWITCH"}, orderNum = "3")
    private String type;

    @Excel(name = "状态", replace = {"是_true", "否_false"}, orderNum = "5", width = 12)
    private String value;

    @Excel(name = "单位", orderNum = "6", width = 12)
    private String unit;

    @Excel(name = "指标类型", replace = {"火灾告警_1", "电源开关_2", "换流变_6", "液位_3", "流量_4", "容量_5", "故障告警_7"}, orderNum = "4")
    private Long alarmType;

    
    //增加所属公司orgcode
    
    private String orgCode;
    
    private String createBy ;
    private Date createDate =new Date();
    private String remark ;   
 
 
 

    
    public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getFireEquipmentCode() {
        return fireEquipmentCode;
    }

    public void setFireEquipmentCode(String fireEquipmentCode) {
        this.fireEquipmentCode = fireEquipmentCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Long getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(Long alarmType) {
        this.alarmType = alarmType;
    }

    public Long getFireEquipmentId() {
        return fireEquipmentId;
    }

    public void setFireEquipmentId(Long fireEquipmentId) {
        this.fireEquipmentId = fireEquipmentId;
    }

    public String getFireEquipmentName() {
        return fireEquipmentName;
    }

    public void setFireEquipmentName(String fireEquipmentName) {
        this.fireEquipmentName = fireEquipmentName;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
